#pragma once

namespace cudalab {

class Bitmap;
class GLTexture
{
public:
	enum
	{
		DEFAULT = 0,
		FLOAT = 1
	};
	// constructor / destructor
	GLTexture( unsigned int width, unsigned int height, unsigned int type = DEFAULT );
	GLTexture( char* fileName );
	// get / set
	unsigned int GetID() { return id; }
	// methods
	void Bind();
	void CopyFrom( Bitmap* src );
private:
	// data members
	GLuint id;
	uint width, height;
};

}

// EOF